suspend_test_finish warning triggers too easily, increase timeout to match mainline times

Bug #464552 reported by yossisynett on 2009-10-30
This bug affects 1142 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Critical
Canonical Ubuntu QA Team
linux (Ubuntu)
Low
Unassigned
Nominated for Lucid by warren ritzer
Karmic
Low
Andy Whitcroft

Bug Description

Many of these messages are basically cosmetic noise, the average time to resume is actually 8.2s when older hardware is taken into account. SATA reconnect alone is allowed to take up to 5s therefore a 5s timeout is wholy too low for this message. Upstream has upped this limit to 10s. Using this instance to track the integration of this upstream change into the lucid and karmic kernels.

If your resume is taking a very long time then please file a new bug.

=== ORIGINAL DESCRIPTION ===

Received message about kernel crash after logging in.

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: yossi 2394 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
   Mixer name : 'Analog Devices AD1981B'
   Components : 'AC97a:41445374'
   Controls : 28
   Simple ctrls : 20
Date: Thu Oct 29 23:34:16 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
MachineType: TOSHIBA PORTEGE M200
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-14-generic 2.6.31-14.48
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.24
SourcePackage: linux
Tags: kernel-oops
Title: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x80/0x90()
Uname: Linux 2.6.31-14-generic i686
dmi.bios.date: 10/24/2005
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 1.80
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion1.80:bd10/24/2005:svnTOSHIBA:pnPORTEGEM200:pvrPPM20E-0053C-EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: PORTEGE M200
dmi.product.version: PPM20E-0053C-EN
dmi.sys.vendor: TOSHIBA

yossisynett (yossisynett) wrote :
Andy Whitcroft (apw) on 2009-10-30
summary: - linux-2.6.31-14 crashed after login
+ WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
+ suspend_test_finish+0x80/0x90()
Changed in linux (Ubuntu):
importance: Undecided → Low
assignee: nobody → Andy Whitcroft (apw)

This message is a warning related to "slow" resume from suspend. In this case it would be a delayed one from a previous suspend. This message generally is a false positive and upstream has recently upped the timeout from 5s to 10s to prevent these messages occuring spuriously. If you are able to suspend/resume ok then this can be ignored.

Andy Whitcroft (apw) wrote :

I am going to use this bug as the master bug to carry the fix for this into the kernel.

yossisynett (yossisynett) wrote :

Hi Andy, thanks for responding. I'm not sure whether I should report this as a separate bug but when my computer resumes from suspend the monitor backlight is set to very dim and there is no screen redrawing apart from the menu bar (i.e. the screen doesn't show typing etc.)

f-bert (f-bert) wrote :

Hey yossisynett, this is then a new/seperate bug. Regards

I dont know why apport brought me here, because I hadnt done any suspend resume it was normal boot up. Apport said it has a problem report and I submitted it.

Changed in linux (Ubuntu):
status: New → Triaged
killernat (jae52790) wrote :

thanks ya it takes like 3 minutes to resume i dont under stand why

Keri (keri-toolan) on 2009-11-03
Changed in linux (Ubuntu):
status: Triaged → Fix Released
status: Fix Released → New

I don t know why the bug appeared. Suddendly, the crash reportin tool
appeared. And it seems quite common since i migrated from 9.04 to 9.10

Le 3 nov. 2009, 3:31 AM, "killernat" <email address hidden> a écrit :

thanks ya it takes like 3 minutes to resume i dont under stand why

--
WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
suspend_test_finish+0x80/0x90()
https://bugs.launchpad.net/bugs/464552
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “linux” package in Ubuntu: Triaged

Bug description:
Received message about kernel crash after logging in.

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be
restarted.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: yossi 2394 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
  Mixer name : 'Analog Devices AD1981B'
  Components : 'AC97a:41445374'
  Controls : 28
  Simple ctrls : 20
Date: Thu Oct 29 23:34:16 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
MachineType: TOSHIBA PORTEGE M200
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-14-generic 2.6.31-14.48
PccardctlIdent:
 Socket 0:
  no product info available
PccardctlStatus:
 Socket 0:
  no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.24
SourcePackage: linux
Tags: kernel-oops
Title: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
suspend_test_finish+0x80/0x90()
Uname: Linux 2.6.31-14-generic i686
dmi.bios.date: 10/24/2005
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 1.80
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias:
dmi:bvnTOSHIBA:bvrVersion1.80:bd10/24/2005:svnTOSHIBA:pnPORTEGEM200:pvrPPM20E-0053C-EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: PORTEGE M200
dmi.product.version: PPM20E-0053C-EN
dmi.sys.vendor: TOSHIBA

urbanyergy (urbanyergy) wrote :
Download full text (4.9 KiB)

ive got 3 computers on 9.10 but only one did this;my hp1012 w athlon64,3200+
whats w that?

On Mon, Nov 2, 2009 at 10:56 PM, lo <email address hidden> wrote:

> I don t know why the bug appeared. Suddendly, the crash reportin tool
> appeared. And it seems quite common since i migrated from 9.04 to 9.10
>
> Le 3 nov. 2009, 3:31 AM, "killernat" <email address hidden> a écrit :
>
> thanks ya it takes like 3 minutes to resume i dont under stand why
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Received message about kernel crash after logging in.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> Mixer name : 'Analog Devices AD1981B'
> Components : 'AC97a:41445374'
> Controls : 28
> Simple ctrls : 20
> Date: Thu Oct 29 23:34:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
> MachineType: TOSHIBA PORTEGE M200
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-14-generic N/A
> linux-firmware 1.24
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> Uname: Linux 2.6.31-14-generic i686
> dmi.bios.date: 10/24/2005
> dmi.bios.vendor: TOSHIBA
> dmi.bios.version: Version 1.80
> dmi.board.name: Portable PC
> dmi.board.vendor: TOSHIBA
> dmi.board.version: Version A0
> dmi.chassis.asset.tag: 0000000000
> dmi.chassis.type: 10
> dmi.chassis.vendor: TOSHIBA
> dmi.chassis.version: Version 1.0
> dmi.modalias:
>
> dmi:bvnTOSHIBA:bvrVersion1.80:bd10/24/2005:svnTOSHIBA:pnPORTEGEM200:pvrPPM20E-0053C-EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
> dmi.product.name: PORTEGE M200
> dmi.product.version: PPM20E-0053C-EN
> dmi.sys.vendor: TOSHIBA
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> Received message about kernel crash after logging in.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and mig...

Read more...

A person from http://ubuntuforums.org/showthread.php?t=1307019 said that he had similar problems and said he reinstaled Karmic from scratch and now works perfectly well. Even tho I wont suggest this as a solution, I think its useful to people who dont have much on their Koala.

Shawe Ewahs (shawe-ewahs) wrote :

#10 This is no solution for me, I do a clean installation and I also have the same problem.

Also, reinstall is never a solution, this is not Microsoft Windows.

Siqdiz (oscardisch) wrote :

I have this issue aswell, although it's purely cosmetic, I get the error when laptop is getting out of suspend mode.

Guttorm Flatabø (dittaeva) wrote :

Andy and Leanns descriptions fit for my (duplicate) report. Thanks for finding the solution!

Tormod Volden (tormodvolden) wrote :

I believe this bug report has become the main bug for tracking the (cosmetic) issue of the harmless warning in the case of an otherwise successful suspend/resume.

If your machine does not resume correctly, please file a new bug (or un-duplicate your original bug report).

Changed in linux (Ubuntu):
status: New → Fix Released
status: Fix Released → New
MBrenaman (mbrenaman) wrote :

Thank you very much for the response, and I'm terribly sorry about the duplicate bug report. Nonetheless, I thought I'd chime in about #10. It is not a solution for me as well. I did a clean installation for various unrelated reasons, and I also experienced this same problem.

Felix Oghină (felix.oghina) wrote :

Thank you for your response and marking my submission as duplicate. Although it is probably an actual duplicate, I just thought I'd express some of the differences on my system:
1) Coming out of suspend works just fine (and pretty fast). It's going into suspend that takes an unusual long time: Ubuntu goes to a blank screen but then an empty console appears (cursor blinking) and stays there for ~20-30 seconds before it goes to suspend. As a comparison, Windows 7 goes to suspend (well, "sleep") in at most half the time it takes Ubuntu to do so on the same machine.
2) When coming out of suspend, the screen is dimmed, even if the laptop was plugged the whole time, which would indicate some sort of actual error, not just a false timeout.

Still, the laptop works just fine after coming out of suspend. This laptop had "sleeping problems" before in Kubuntu 9.04 (now switched to regular Ubuntu 9.10) - it used to not be able to access the hard disk when coming out of suspend and had to be hard rebooted.

My bug is bug 467657

Hi yossisynett,

The warning reported here typically indicates that it took longer for your system to resume from suspend than expected. I believe there is a 5 sec barrier which your system likely exceeded. Typically you'll see something similar to "PM: resume devices took 8.664 seconds" in your dmesg output when this happens. A patch to prevent this warning has been applied via bug 464552. As a result I'm marking this as a duplicate to bug 464552. Please continue to track this issue at that report. Thanks!

[This is an automated message. Apologies if it has reached you inappropriately.]

tags: added: suspend-test-finish
Jon Smirl (jonsmirl) wrote :

Some stats about how long resume is taking:

messages.1:Nov 3 07:18:28 terra kernel: [137617.246206] PM: resume devices took 9.360 seconds
messages.1:Oct 28 19:47:45 terra kernel: [19956.711238] PM: resume devices took 6.570 seconds
messages.1:Oct 30 20:08:09 terra kernel: [42897.776276] PM: resume devices took 9.000 seconds
messages.1:Oct 30 22:57:33 terra kernel: [49274.504118] PM: resume devices took 22.790 seconds
messages.1:Oct 31 13:56:59 terra kernel: [14615.992214] PM: resume devices took 7.760 seconds
messages.1:Oct 31 20:08:45 terra kernel: [24334.719232] PM: resume devices took 9.730 seconds

Stock Dell desktop box with no weird hardware. Q6600 CPU.

Would help if warning were modified to indicate which device is being slow.

Andrew (andrewa1) wrote :

My system just ouright crashes when I try resuming my system... I was redirected here from 468861

Andy Whitcroft (apw) on 2009-11-04
summary: - WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
- suspend_test_finish+0x80/0x90()
+ suspend_test_finish warning triggers too easily, increase timeout to
+ match mainline times
description: updated
Andy Whitcroft (apw) on 2009-11-04
Changed in linux (Ubuntu Karmic):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → Low
status: New → In Progress
Andy Whitcroft (apw) on 2009-11-04
Changed in linux (Ubuntu Karmic):
milestone: none → karmic-updates
status: In Progress → Fix Committed

Thanx, Andy

Andy Whitcroft wrote:
> ** Changed in: linux (Ubuntu Karmic)
> Status: In Progress => Fix Committed
>
> ** Changed in: linux (Ubuntu Karmic)
> Milestone: None => karmic-updates
>
>

Andy Whitcroft (apw) on 2009-11-04
Changed in linux (Ubuntu):
status: New → In Progress

Accepted linux into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
AtulBhatia (rinku-atul) on 2009-11-06
Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Simon Déziel (sdeziel) wrote :

I made several tests using the kernel coming from package linux-image-2.6.31-15.49-generic and my computer is no longer able to resume properly from suspend.

It resumes almost perfectly (except for the suspend_test_finish issue) when the kernel linux-image-2.6.31-14.48-generic is used.

Simon Déziel a écrit :
> I made several tests using the kernel coming from package linux-
> image-2.6.31-15.49-generic and my computer is no longer able to resume
> properly from suspend.
>
> It resumes almost perfectly (except for the suspend_test_finish issue)
> when the kernel linux-image-2.6.31-14.48-generic is used.
>
>
Hello,
just to add an info. Since I deactivated the EXA acceleration in
xorg.conf, changing it according tu bug 429295 with "renderaccel" "off"
i have no problems anymore when resuming from suspend. Somehow it was a
dupe in my case...

Currently the "device" section in my xorg.conf looks like this

Section "Device"
 Identifier "Configured Video Device"
 Option "RenderAccel" "off"
# Option "AccelMethod" "EXA"
EndSection

Maybe this can help someone.

Martin Pitt (pitti) wrote :

> I made several tests using the kernel coming from package linux-image-2.6.31-15.49-generic and my computer is no longer able to resume properly from suspend.

What breaks exactly now? Can you collect any logs? Marking as regression-proposed/v-failed for now.

tags: added: regression-proposed verification-failed
removed: verification-needed
ksax (terradestroy) wrote :

Martin Pitt <email address hidden> писал(а) в своём письме Mon, 09 Nov
2009 18:22:39 +0900:

>> I made several tests using the kernel coming from package linux-
> image-2.6.31-15.49-generic and my computer is no longer able to resume
> properly from suspend.
>
> What breaks exactly now? Can you collect any logs? Marking as
> regression-proposed/v-failed for now.
>
> ** Tags added: regression-proposed verification-failed
> ** Tags removed: verification-needed
>

Now it working properly and I haven't a lot of problems only very specific.
I updated Ubuntu and now it all work good. Only some times Compiz can fall
down, but I just restarting session.
It felling down because of LuxRender 0.6. And ones it fell down because
Yafaray.

Andy Whitcroft (apw) wrote :

@Simon -- could you confirm the symptoms you get now when resuming from suspend? Does the machine awaken, backlight come on, disk light flash etc. Are you able to login from another machine (if you have one)?

Could you try booting with 'no_console_suspend' on your kernel command line in grub, then switching to VT-1 (ctrl-alt-F1) and loging in there, then using the command below to suspend:

    sudo pm-suspend

On resume do you get any messages on the console there. If so could you take a picture of them etc.

Andy Whitcroft (apw) wrote :

Could anyone who finds that they are able to suspend/resume with the 2.6.31-14.48 kernel and not with the 2.6.31-15.49 kernel please try the testing steps below and report back on this bug.

Could you install the kernel at the URL below and re-test the suspend/resume. This kernel backs out the change introduced by this bug, but is otherwise identicle to the 2.6.31-15.49 kernel in -proposed:

    http://people.canonical.com/~apw/lp464552-karmic/test1/

If that kernel also fails to suspend/resume could you also try the kernel at the URL below and re-test suspend/resume again. This kernel backs out a different change from this update (a USB status change):

   http://people.canonical.com/~apw/lp464552-karmic/test2/

In all cases we are insterested in the reports of both success and failure. Where possible include a dmesg output with your report. Thanks in advance.

Download full text (3.6 KiB)

Supspend and hibernate work since i updated my graphics card driver.
Cheers!
> @Simon -- could you confirm the symptoms you get now when resuming from
> suspend? Does the machine awaken, backlight come on, disk light flash
> etc. Are you able to login from another machine (if you have one)?
>
> Could you try booting with 'no_console_suspend' on your kernel command
> line in grub, then switching to VT-1 (ctrl-alt-F1) and loging in there,
> then using the command below to suspend:
>
> sudo pm-suspend
>
> On resume do you get any messages on the console there. If so could you
> take a picture of them etc.
>
> --
> suspend_test_finish warning triggers too easily, increase timeout to match
> mainline times
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: In Progress
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> Many of these messages are basically cosmetic noise, the average time to
> resume is actually 8.2s when older hardware is taken into account. SATA
> reconnect alone is allowed to take up to 5s therefore a 5s timeout is
> wholy too low for this message. Upstream has upped this limit to 10s.
> Using this instance to track the integration of this upstream change into
> the lucid and karmic kernels.
>
> If your resume is taking a very long time then please file a new bug.
>
>
> === ORIGINAL DESCRIPTION =Received message about kernel crash after
> logging in.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: i386
> AudioDevicesInUse:
>  USER PID ACCESS COMMAND
>  /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
>    Mixer name : 'Analog Devices AD1981B'
>    Components : 'AC97a:41445374'
>    Controls : 28
>    Simple ctrls : 20
> Date: Thu Oct 29 23:34:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
> MachineType: TOSHIBA PORTEGE M200
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> PccardctlIdent:
>  Socket 0:
>    no product info available
> PccardctlStatus:
>  Socket 0:
>    no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> RelatedPackageVersions:
>  linux-backports-modules-2.6.31-14-generic N/A
>  linux-firmware 1.24
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> Uname: Linux 2.6.31-14-generic i686
> dmi.bios.date: 10/24/2005
> dmi.bios.vendor: TOSHIBA
> dmi.bios.version: Version 1.80
> dmi.board.name: Portable PC
> dmi.board.vendor: TOSHIBA
> dmi.board.version: Version A0
> dmi.chassis.asset.tag: 0000000000
> dmi.chassis.type: 10
> dmi.chassis.v...

Read more...

Stefan Bader (smb) wrote :

I seem to be able to see a similar regression on resume, but have already been able to rule out this change and two other. I am currently bisecting the changes between -14 and -15 and would update the affected bugs when I find out more.

Stefan Bader (smb) wrote :

@Martin, I bisected my problem down to

commit 8bf095f8b62c5fdfe55a8c95be775ea62be7bc10
Author: Kees Cook <email address hidden>
Date: Sun Oct 18 09:16:44 2009 -0700

    UBUNTU: SAUCE: [x86] fix report of cs-limit nx-emulation
    BugLink: http://bugs.launchpad.net/bugs/454285

which does have only effect for i386 non-pae kernels, in which case the system accidentally assumes it has NX capabilities. I will update the other bug accordingly.

@Simon, to check whether you are affected the same: if you got a cpu which has no nx mentioned in cat /proc/cpuinfo but claims "NX (Execute Disable) protection: active" in dmesg, this is wrong. You might want to try the quick test kernel I put to http://people.canonical.com/~smb/bug464552. If that helps we can put this bug into "verification done".

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-3.3

---------------
linux (2.6.32-3.3) lucid; urgency=low

  [ Andy Whitcroft ]

  * rebase to v2.6.32-rc6
  * [Config] update configs following rebase to v2.6.32-rc6
  * [Config] update ports configs following rebase to v2.6.32-rc6
  * resync with Karmic Ubuntu-2.6.31-15.49
  * [Config] add module ignores for broken drivers

  [ John Johansen ]

  * SAUCE: AppArmor: AppArmor wrongly reports allow perms as denied
    - LP: #453335
  * SAUCE: AppArmor: Policy load and replacement can fail to alloc mem
    - LP: #458299
  * SAUCE: AppArmor: AppArmor fails to audit change_hat correctly
    - LP: #462824
  * SAUCE: AppArmor: AppArmor disallows truncate of deleted files.
    - LP: #451375

  [ Kees Cook ]

  * SAUCE: Fix nx_enable reporting
    - LP: #454285

  [ Scott James Remnant ]

  * Revert "SAUCE: trace: add trace_event for the open() syscall"
  * SAUCE: trace: add trace events for open(), exec() and uselib()
    - LP: #462111

  [ Stefan Bader ]

  * SAUCE: Fix sub-flavour script to not stop on missing directories
    - LP: #453073

  [ Ubuntu Changes ]

  * resync with Karmic Ubuntu-2.6.31-15.49

  [ Upstream Kernel Changes ]

  * rebase to v2.6.32-rc6
    - LP: #464552
 -- Andy Whitcroft <email address hidden> Tue, 10 Nov 2009 15:00:57 +0000

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Simon Déziel (sdeziel) wrote :

I just tested with kernel 2.6.31-15.50 and the suspend/resume problem is fixed. I can also confirm that the suspend_test_finish issue is also fixed in my case. If you need me to run more tests, just ask.

Thanks for the fix.

Simon Déziel (sdeziel) wrote :

@Stefan, my CPU does not support NX but I wasn't quick enough to try your test kernel and 2.6.31-15.50 got out and fix my problems.

I just tested with 2.6.31-14.48 and 2.6.31-15.50 and the dmesg contains "Using x86 segments limits to approximate NX protection". I don't know if it can help but I also tested with 2.6.31-15.50 generic-pae and I have the same NX message.

If you still need me to run some tests just ask. Thank you very much.

Martin Pitt (pitti) on 2009-11-11
tags: added: verification-done
removed: regression-proposed verification-failed

Simon Déziel schrieb:
> @Stefan, my CPU does not support NX but I wasn't quick enough to try
> your test kernel and 2.6.31-15.50 got out and fix my problems.
>
> I just tested with 2.6.31-14.48 and 2.6.31-15.50 and the dmesg contains
> "Using x86 segments limits to approximate NX protection". I don't know
> if it can help but I also tested with 2.6.31-15.50 generic-pae and I
> have the same NX message.
>
> If you still need me to run some tests just ask. Thank you very much.
>
>
Should I test something? ... I'm not involved in Kernel-Development or
so, I just
submitted the problem report as suggested by my system. Regards, Stefan

Brent Fox (brent-s-fox) on 2009-11-12
Changed in oem-priority:
importance: Undecided → Critical
assignee: nobody → Kevin Krafthefer (krafthefer)
Changed in oem-priority:
assignee: Kevin Krafthefer (krafthefer) → Canonical Ubuntu QA Team (canonical-qa)
rajip (ricky-160789) on 2009-11-16
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Steve Langasek (vorlon) wrote :

Please don't change bug statuses without explanation.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released

Hello, and thanks for the support. I am however confused as to why I am
getting so many messages from you and your associates. If there is a way
that I could stop recieving these messages, some direction would be
appreciated. Thanks.

Original Message:
-----------------
From: Steve Langasek <email address hidden>
Date: Mon, 16 Nov 2009 14:08:08 -0000
To: <email address hidden>
Subject: [Bug 464552] Re: suspend_test_finish warning triggers too
easily,increase timeout to match mainline times

Please don't change bug statuses without explanation.

** Changed in: linux (Ubuntu)
       Status: Confirmed => Fix Released

--
suspend_test_finish warning triggers too easily, increase timeout to match
mainline times
https://bugs.launchpad.net/bugs/464552
You received this bug notification because you are a direct subscriber
of a duplicate bug.

--------------------------------------------------------------------
mail2web - Check your email from the web at
http://link.mail2web.com/mail2web

You received this bug notification because you are a direct subscriber
of a duplicate bug.

You have to unsuscribe here :

2009/11/16 Green72 <email address hidden>

> Hello, and thanks for the support. I am however confused as to why I am
> getting so many messages from you and your associates. If there is a way
> that I could stop recieving these messages, some direction would be
> appreciated. Thanks.
>
> Original Message:
> -----------------
> From: Steve Langasek <email address hidden>
> Date: Mon, 16 Nov 2009 14:08:08 -0000
> To: <email address hidden>
> Subject: [Bug 464552] Re: suspend_test_finish warning triggers too
> easily,increase timeout to match mainline times
>
>
> Please don't change bug statuses without explanation.
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Fix Released
>
> --
> suspend_test_finish warning triggers too easily, increase timeout to match
> mainline times
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> --------------------------------------------------------------------
> mail2web - Check your email from the web at
> http://link.mail2web.com/mail2web
>
> --
> suspend_test_finish warning triggers too easily, increase timeout to match
> mainline times
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Kleinklaus Nicolas
c/ Doctor Manuel Candela 8/5
46021 Valencia
(00 34) 666 09 63 66

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-15.50

---------------
linux (2.6.31-15.50) karmic-proposed; urgency=low

  [ Kees Cook ]

  * SAUCE: Fix nx_enable reporting
    - LP: #454285

linux (2.6.31-15.49) karmic-proposed; urgency=low

  [ Benjamin Herrenschmidt ]

  * [Upstream] (drop after 2.6.31) usb-storage: Workaround devices with
    bogus sense size
    - LP: #446146

  [ John Johansen ]

  * SAUCE: AppArmor: AppArmor wrongly reports allow perms as denied
    - LP: #453335
  * SAUCE: AppArmor: Policy load and replacement can fail to alloc mem
    - LP: #458299
  * SAUCE: AppArmor: AppArmor fails to audit change_hat correctly
    - LP: #462824
  * SAUCE: AppArmor: AppArmor disallows truncate of deleted files.
    - LP: #451375

  [ Kees Cook ]

  * SAUCE: [x86] fix report of cs-limit nx-emulation
    - LP: #454285

  [ Scott James Remnant ]

  * Revert "SAUCE: trace: add trace_event for the open() syscall"
  * SAUCE: trace: add trace events for open(), exec() and uselib()
    - LP: #462111

  [ Stefan Bader ]

  * SAUCE: Fix sub-flavour script to not stop on missing directories
    - LP: #453073

  [ Tim Gardner ]

  * [Upstream] (drop after 2.6.31) Input: synaptics - add another Protege
    M300 to rate blacklist
    - LP: #433801

  [ Upstream Kernel Changes ]

  * PM: Make warning in suspend_test_finish() less likely to happen
    - LP: #464552
 -- Stefan Bader <email address hidden> Tue, 10 Nov 2009 14:31:52 +0100

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → nobody

unsubscribe from here:
https://bugs.launchpad.net/bugs/464552

2009/11/23 mark b <email address hidden>

> Please unsubscribe me from your service.
>
> --
> suspend_test_finish warning triggers too easily, increase timeout to match
> mainline times
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in OEM Priority Project: New
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> Many of these messages are basically cosmetic noise, the average time to
> resume is actually 8.2s when older hardware is taken into account. SATA
> reconnect alone is allowed to take up to 5s therefore a 5s timeout is wholy
> too low for this message. Upstream has upped this limit to 10s. Using this
> instance to track the integration of this upstream change into the lucid and
> karmic kernels.
>
> If your resume is taking a very long time then please file a new bug.
>
>
> === ORIGINAL DESCRIPTION ===
>
> Received message about kernel crash after logging in.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> Mixer name : 'Analog Devices AD1981B'
> Components : 'AC97a:41445374'
> Controls : 28
> Simple ctrls : 20
> Date: Thu Oct 29 23:34:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
> MachineType: TOSHIBA PORTEGE M200
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-14-generic N/A
> linux-firmware 1.24
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> Uname: Linux 2.6.31-14-generic i686
> dmi.bios.date: 10/24/2005
> dmi.bios.vendor: TOSHIBA
> dmi.bios.version: Version 1.80
> dmi.board.name: Portable PC
> dmi.board.vendor: TOSHIBA
> dmi.board.version: Version A0
> dmi.chassis.asset.tag: 0000000000
> dmi.chassis.type: 10
> dmi.chassis.vendor: TOSHIBA
> dmi.chassis.version: Version 1.0
> dmi.modalias:
> dmi:bvnTOSHIBA:bvrVersion1.80:bd10/24/2005:svnTOSHIBA:pnPORTEGEM200:pvrPPM20E-0053C-EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
> dmi.product.name: PORTEGE M200
> dmi.product.version: PPM20E-0053C-EN
> dmi.sys.vendor: TOSHIBA
>
>
>

Download full text (3.6 KiB)

WTF am I supposed to do about that ?I keep getting these damn spam bug
e-mails,and I'm getting tired of it.

On Mon, Nov 23, 2009 at 1:14 PM, oneafrikan <email address hidden> wrote:

> unsubscribe from here:
> https://bugs.launchpad.net/bugs/464552
>
> 2009/11/23 mark b <email address hidden>
>
> > Please unsubscribe me from your service.
> >
> > --
> > suspend_test_finish warning triggers too easily, increase timeout to
> match
> > mainline times
> > https://bugs.launchpad.net/bugs/464552
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in OEM Priority Project: New
> > Status in “linux” package in Ubuntu: Fix Released
> > Status in “linux” source package in Karmic: Fix Released
> >
> > Bug description:
> > Many of these messages are basically cosmetic noise, the average time to
> > resume is actually 8.2s when older hardware is taken into account. SATA
> > reconnect alone is allowed to take up to 5s therefore a 5s timeout is
> wholy
> > too low for this message. Upstream has upped this limit to 10s. Using
> this
> > instance to track the integration of this upstream change into the lucid
> and
> > karmic kernels.
> >
> > If your resume is taking a very long time then please file a new bug.
> >
> >
> > === ORIGINAL DESCRIPTION ===
> >
> > Received message about kernel crash after logging in.
> >
> > ProblemType: KernelOops
> > Annotation: Your system might become unstable now and might need to be
> > restarted.
> > Architecture: i386
> > AudioDevicesInUse:
> > USER PID ACCESS COMMAND
> > /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> > CRDA: Error: [Errno 2] No such file or directory
> > Card0.Amixer.info:
> > Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> > Mixer name : 'Analog Devices AD1981B'
> > Components : 'AC97a:41445374'
> > Controls : 28
> > Simple ctrls : 20
> > Date: Thu Oct 29 23:34:16 2009
> > DistroRelease: Ubuntu 9.10
> > Failure: oops
> > HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
> > MachineType: TOSHIBA PORTEGE M200
> > NonfreeKernelModules: nvidia
> > Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> > PccardctlIdent:
> > Socket 0:
> > no product info available
> > PccardctlStatus:
> > Socket 0:
> > no card
> > ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> > root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
> > ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> > RelatedPackageVersions:
> > linux-backports-modules-2.6.31-14-generic N/A
> > linux-firmware 1.24
> > SourcePackage: linux
> > Tags: kernel-oops
> > Title: WARNING: at
> > /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> > suspend_test_finish+0x80/0x90()
> > Uname: Linux 2.6.31-14-generic i686
> > dmi.bios.date: 10/24/2005
> > dmi.bios.vendor: TOSHIBA
> > dmi.bios.version: Version 1.80
> > dmi.board.name: Portable PC
> > dmi.board.vendor: TOSHIBA
> > dmi.board.version: Version A0
> > dmi.chassis.asset.tag: 0000000000
> > dmi.chassis.type: 10
> > dmi.chassis.vendor: TOSHIBA
> > dmi.chassis.version: Version 1.0
> > dmi.modalias:
> >
> dmi:bvnTOSHIBA:bvrVersio...

Read more...

Changed in oem-priority:
status: New → Fix Released
Chris (cmavr8) wrote :
Download full text (4.2 KiB)

Rickey L.Buie, please unsubscribe from here:
https://bugs.launchpad.net/bugs/464552

On Mon, Nov 23, 2009 at 9:38 PM, Rickey L.Buie <email address hidden> wrote:

> WTF am I supposed to do about that ?I keep getting these damn spam bug
> e-mails,and I'm getting tired of it.
>
> On Mon, Nov 23, 2009 at 1:14 PM, oneafrikan <email address hidden>
> wrote:
>
> > unsubscribe from here:
> > https://bugs.launchpad.net/bugs/464552
> >
> > 2009/11/23 mark b <email address hidden>
> >
> > > Please unsubscribe me from your service.
> > >
> > > --
> > > suspend_test_finish warning triggers too easily, increase timeout to
> > match
> > > mainline times
> > > https://bugs.launchpad.net/bugs/464552
> > > You received this bug notification because you are a direct subscriber
> > > of a duplicate bug.
> > >
> > > Status in OEM Priority Project: New
> > > Status in “linux” package in Ubuntu: Fix Released
> > > Status in “linux” source package in Karmic: Fix Released
> > >
> > > Bug description:
> > > Many of these messages are basically cosmetic noise, the average time
> to
> > > resume is actually 8.2s when older hardware is taken into account.
> SATA
> > > reconnect alone is allowed to take up to 5s therefore a 5s timeout is
> > wholy
> > > too low for this message. Upstream has upped this limit to 10s. Using
> > this
> > > instance to track the integration of this upstream change into the
> lucid
> > and
> > > karmic kernels.
> > >
> > > If your resume is taking a very long time then please file a new bug.
> > >
> > >
> > > === ORIGINAL DESCRIPTION ===
> > >
> > > Received message about kernel crash after logging in.
> > >
> > > ProblemType: KernelOops
> > > Annotation: Your system might become unstable now and might need to be
> > > restarted.
> > > Architecture: i386
> > > AudioDevicesInUse:
> > > USER PID ACCESS COMMAND
> > > /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> > > CRDA: Error: [Errno 2] No such file or directory
> > > Card0.Amixer.info:
> > > Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> > > Mixer name : 'Analog Devices AD1981B'
> > > Components : 'AC97a:41445374'
> > > Controls : 28
> > > Simple ctrls : 20
> > > Date: Thu Oct 29 23:34:16 2009
> > > DistroRelease: Ubuntu 9.10
> > > Failure: oops
> > > HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
> > > MachineType: TOSHIBA PORTEGE M200
> > > NonfreeKernelModules: nvidia
> > > Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> > > PccardctlIdent:
> > > Socket 0:
> > > no product info available
> > > PccardctlStatus:
> > > Socket 0:
> > > no card
> > > ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> > > root=UUID=9ba59e59-1134-4205-baef-87a673f95ab3 ro quiet splash
> > > ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> > > RelatedPackageVersions:
> > > linux-backports-modules-2.6.31-14-generic N/A
> > > linux-firmware 1.24
> > > SourcePackage: linux
> > > Tags: kernel-oops
> > > Title: WARNING: at
> > > /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> > > suspend_test_finish+0x80/0x90()
> > > Uname: Linux 2.6.31-14-generic i686
> > > dmi.bios.date: 10/24/2005
> > > dm...

Read more...

silentashes (joecool) wrote :
Download full text (7.7 KiB)

I don't see where to unsubscribe!
I'm also using Launchpad Beta, apparently, and don't see where to change
that either (not under My Account, it seems).

---> Should I change from "This bug affects me too" to "No, it doesn't
affect me" ???
Is that the same as un-subscribing?

Seems pretty vague, if you ask me...
Thanks!

On Mon, Nov 23, 2009 at 12:17, cmavr8 <email address hidden> wrote:

> Rickey L.Buie, please unsubscribe from here:
> https://bugs.launchpad.net/bugs/464552
>
>
> On Mon, Nov 23, 2009 at 9:38 PM, Rickey L.Buie <email address hidden>
> wrote:
>
> > WTF am I supposed to do about that ?I keep getting these damn spam bug
> > e-mails,and I'm getting tired of it.
> >
> > On Mon, Nov 23, 2009 at 1:14 PM, oneafrikan <email address hidden>
> > wrote:
> >
> > > unsubscribe from here:
> > > https://bugs.launchpad.net/bugs/464552
> > >
> > > 2009/11/23 mark b <email address hidden>
> > >
> > > > Please unsubscribe me from your service.
> > > >
> > > > --
> > > > suspend_test_finish warning triggers too easily, increase timeout to
> > > match
> > > > mainline times
> > > > https://bugs.launchpad.net/bugs/464552
> > > > You received this bug notification because you are a direct
> subscriber
> > > > of a duplicate bug.
> > > >
> > > > Status in OEM Priority Project: New
> > > > Status in “linux” package in Ubuntu: Fix Released
> > > > Status in “linux” source package in Karmic: Fix Released
> > > >
> > > > Bug description:
> > > > Many of these messages are basically cosmetic noise, the average time
> > to
> > > > resume is actually 8.2s when older hardware is taken into account.
> > SATA
> > > > reconnect alone is allowed to take up to 5s therefore a 5s timeout is
> > > wholy
> > > > too low for this message. Upstream has upped this limit to 10s.
> Using
> > > this
> > > > instance to track the integration of this upstream change into the
> > lucid
> > > and
> > > > karmic kernels.
> > > >
> > > > If your resume is taking a very long time then please file a new bug.
> > > >
> > > >
> > > > === ORIGINAL DESCRIPTION ===
> > > >
> > > > Received message about kernel crash after logging in.
> > > >
> > > > ProblemType: KernelOops
> > > > Annotation: Your system might become unstable now and might need to
> be
> > > > restarted.
> > > > Architecture: i386
> > > > AudioDevicesInUse:
> > > > USER PID ACCESS COMMAND
> > > > /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> > > > CRDA: Error: [Errno 2] No such file or directory
> > > > Card0.Amixer.info:
> > > > Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> > > > Mixer name : 'Analog Devices AD1981B'
> > > > Components : 'AC97a:41445374'
> > > > Controls : 28
> > > > Simple ctrls : 20
> > > > Date: Thu Oct 29 23:34:16 2009
> > > > DistroRelease: Ubuntu 9.10
> > > > Failure: oops
> > > > HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
> > > > MachineType: TOSHIBA PORTEGE M200
> > > > NonfreeKernelModules: nvidia
> > > > Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> > > > PccardctlIdent:
> > > > Socket 0:
> > > > no product info available
> > > > PccardctlStatus:
> > > > Socket 0:
> > > > no card
> > > ...

Read more...

Tormod Volden (tormodvolden) wrote :

The list of subscribers (which has the Unsubscribe button on the top) is after the Duplicates list. Since this bug has an enormous amount of duplicates, this is a bit down the page.

Note that if you have real problems with suspend/resume (not only the timeout warning) your report is a false duplicate so you should un-duplicate it instead of unsubscribing. Otherwise your issue will be ignored since the timeout warning bug has been fixed.

Download full text (4.7 KiB)

HI all.

It seems this was fixed for me since kernel 2.6.31-15-generic
(#50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009)
I haven't seen warnings again after the upgrade.

Thanks all.

Le lundi 23 novembre 2009 à 09:24 +0000, Launchpad Bug Tracker a écrit :
> This bug was fixed in the package linux - 2.6.31-15.50
>
> ---------------
> linux (2.6.31-15.50) karmic-proposed; urgency=low
>
> [ Kees Cook ]
>
> * SAUCE: Fix nx_enable reporting
> - LP: #454285
>
> linux (2.6.31-15.49) karmic-proposed; urgency=low
>
> [ Benjamin Herrenschmidt ]
>
> * [Upstream] (drop after 2.6.31) usb-storage: Workaround devices with
> bogus sense size
> - LP: #446146
>
> [ John Johansen ]
>
> * SAUCE: AppArmor: AppArmor wrongly reports allow perms as denied
> - LP: #453335
> * SAUCE: AppArmor: Policy load and replacement can fail to alloc mem
> - LP: #458299
> * SAUCE: AppArmor: AppArmor fails to audit change_hat correctly
> - LP: #462824
> * SAUCE: AppArmor: AppArmor disallows truncate of deleted files.
> - LP: #451375
>
> [ Kees Cook ]
>
> * SAUCE: [x86] fix report of cs-limit nx-emulation
> - LP: #454285
>
> [ Scott James Remnant ]
>
> * Revert "SAUCE: trace: add trace_event for the open() syscall"
> * SAUCE: trace: add trace events for open(), exec() and uselib()
> - LP: #462111
>
> [ Stefan Bader ]
>
> * SAUCE: Fix sub-flavour script to not stop on missing directories
> - LP: #453073
>
> [ Tim Gardner ]
>
> * [Upstream] (drop after 2.6.31) Input: synaptics - add another Protege
> M300 to rate blacklist
> - LP: #433801
>
> [ Upstream Kernel Changes ]
>
> * PM: Make warning in suspend_test_finish() less likely to happen
> - LP: #464552
> -- Stefan Bader <email address hidden> Tue, 10 Nov 2009 14:31:52 +0100
>
> ** Changed in: linux (Ubuntu Karmic)
> Status: Fix Committed => Fix Released
>
> --
> suspend_test_finish warning triggers too easily, increase timeout to match mainline times
> https://bugs.launchpad.net/bugs/464552
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in OEM Priority Project: New
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> Many of these messages are basically cosmetic noise, the average time to resume is actually 8.2s when older hardware is taken into account. SATA reconnect alone is allowed to take up to 5s therefore a 5s timeout is wholy too low for this message. Upstream has upped this limit to 10s. Using this instance to track the integration of this upstream change into the lucid and karmic kernels.
>
> If your resume is taking a very long time then please file a new bug.
>
>
> === ORIGINAL DESCRIPTION ===
>
> Received message about kernel crash after logging in.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be restarted.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: yossi 2394 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card...

Read more...

Reporting that the bug was fixed with kernel 2.6.31-15-generic.

Great Work guys! Thank you very much for your feedback.

Ron Behrman (ron-behrman) wrote :

Same here. Thanks for the great work!

On Sun, 2009-12-06 at 12:54 +0000, Carlos Felipe Guzmán Inostroza wrote:
> Reporting that the bug was fixed with kernel 2.6.31-15-generic.
>
> Great Work guys! Thank you very much for your feedback.
>

dcam (david-pastornet) wrote :

If this issue is fixed, then should I be seeing this below on an up-to-date 2.6.28-17?

Dec 17 22:03:58 vostro-local kernel: [ 6626.416830] Pid: 19286, comm: pm-suspend Tainted: P W 2.6.28-17-generic #58-Ubuntu
Dec 17 22:03:58 vostro-local kernel: [ 6626.416831] Call Trace:
Dec 17 22:03:58 vostro-local kernel: [ 6626.416835] [<c0139ba0>] warn_slowpath+0x60/0x80
Dec 17 22:03:58 vostro-local kernel: [ 6626.416838] [<c015396a>] ? down_trylock+0x2a/0x40
Dec 17 22:03:58 vostro-local kernel: [ 6626.416840] [<c013a1fd>] ? try_acquire_console_sem+0xd/0x30
Dec 17 22:03:58 vostro-local kernel: [ 6626.416843] [<c02c7dd0>] ? kobject_put+0x20/0x50
Dec 17 22:03:58 vostro-local kernel: [ 6626.416846] [<c04fe2a6>] ? printk+0x18/0x1a
Dec 17 22:03:58 vostro-local kernel: [ 6626.416848] [<c0165210>] suspend_test_finish+0x80/0x90
Dec 17 22:03:58 vostro-local kernel: [ 6626.416850] [<c01652e6>] suspend_devices_and_enter+0xc6/0x160
Dec 17 22:03:58 vostro-local kernel: [ 6626.416852] [<c04fe2a6>] ? printk+0x18/0x1a
Dec 17 22:03:58 vostro-local kernel: [ 6626.416854] [<c0165569>] enter_state+0xc9/0x100
Dec 17 22:03:58 vostro-local kernel: [ 6626.416856] [<c016561d>] state_store+0x7d/0xc0
Dec 17 22:03:58 vostro-local kernel: [ 6626.416858] [<c01655a0>] ? state_store+0x0/0xc0
Dec 17 22:03:58 vostro-local kernel: [ 6626.416860] [<c02c7c94>] kobj_attr_store+0x24/0x30
Dec 17 22:03:58 vostro-local kernel: [ 6626.416862] [<c020afc2>] sysfs_write_file+0x92/0xf0
Dec 17 22:03:58 vostro-local kernel: [ 6626.416865] [<c01bde18>] vfs_write+0x98/0x110
Dec 17 22:03:58 vostro-local kernel: [ 6626.416867] [<c020af30>] ? sysfs_write_file+0x0/0xf0
Dec 17 22:03:58 vostro-local kernel: [ 6626.416869] [<c01bdf4d>] sys_write+0x3d/0x70
Dec 17 22:03:58 vostro-local kernel: [ 6626.416871] [<c0103f6b>] sysenter_do_call+0x12/0x2f
Dec 17 22:03:58 vostro-local kernel: [ 6626.416872] ---[ end trace 4b8cee7cb3b756d1 ]---

Philippe AndréZorn (phazorn) wrote :
Download full text (5.8 KiB)

This is the answer:

phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416830] Pid: 19286, comm: pm-suspend Tainted: P W
2.6.28-17-generic #58-Ubuntu
No command 'Dec' found, did you mean:
 Command 'zec' from package 'zec' (universe)
 Command 'sec' from package 'sec' (universe)
 Command 'rec' from package 'sox' (universe)
Dec: command not found
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416831] Call Trace:
No command 'Dec' found, did you mean:
 Command 'zec' from package 'zec' (universe)
 Command 'sec' from package 'sec' (universe)
 Command 'rec' from package 'sox' (universe)
Dec: command not found
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416835] [<c0139ba0>] warn_slowpath+0x60/0x80
bash: c0139ba0: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416838] [<c015396a>] ? down_trylock+0x2a/0x40
bash: c015396a: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416840] [<c013a1fd>] ? try_acquire_console_sem+0xd/0x30
bash: c013a1fd: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416843] [<c02c7dd0>] ? kobject_put+0x20/0x50
bash: c02c7dd0: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416846] [<c04fe2a6>] ? printk+0x18/0x1a
bash: c04fe2a6: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416848] [<c0165210>] suspend_test_finish+0x80/0x90
bash: c0165210: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416850] [<c01652e6>] suspend_devices_and_enter+0xc6/0x160
bash: c01652e6: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416852] [<c04fe2a6>] ? printk+0x18/0x1a
bash: c04fe2a6: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416854] [<c0165569>] enter_state+0xc9/0x100
bash: c0165569: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416856] [<c016561d>] state_store+0x7d/0xc0
bash: c016561d: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416858] [<c01655a0>] ? state_store+0x0/0xc0
bash: c01655a0: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416860] [<c02c7c94>] kobj_attr_store+0x24/0x30
bash: c02c7c94: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416862] [<c020afc2>] sysfs_write_file+0x92/0xf0
bash: c020afc2: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416865] [<c01bde18>] vfs_write+0x98/0x110
bash: c01bde18: Aucun fichier ou dossier de ce type
phazorn@phazorn-desktop:~$ Dec 17 22:03:58 vostro-local kernel: [
6626.416867] [<c020af30>] ? sysfs_write_file+0x0/0xf0
bash: c020af30...

Read more...

apavlov (apavlov) wrote :

Am seeing the issue on Lucid Lynx:

[98464.783287] PM: resume of drv:sd dev:0:0:0:0 complete after 14332.026 msecs
[98464.783296] sd 1:0:0:0: [sdb] Starting disk
[98464.790944] PM: resume of devices complete after 16152.736 msecs
[98464.791159] PM: resume devices took 16.152 seconds
[98464.791161] ------------[ cut here ]------------
[98464.791165] WARNING: at /build/buildd/linux-2.6.32/kernel/power/suspend_test.c:53 suspend_test_finish+0x89/0x90()
[98464.791167] Hardware name: MS-7238
[98464.791169] Component: resume devices, time: 16152
[98464.791170] Modules linked in: binfmt_misc ppdev vboxnetadp vboxnetflt vboxdrv dm_crypt snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd soundcore snd_page_alloc f71882fg coretemp nvidia(P) psmouse serio_raw lp parport intel_agp usbhid hid agpgart ahci pata_jmicron [last unloaded: mii]
[98464.791195] Pid: 13873, comm: pm-suspend Tainted: P W 2.6.32-27-generic #49-Ubuntu
[98464.791197] Call Trace:
[98464.791201] [<c014c802>] warn_slowpath_common+0x72/0xa0
[98464.791204] [<c0183f09>] ? suspend_test_finish+0x89/0x90
[98464.791206] [<c0183f09>] ? suspend_test_finish+0x89/0x90
[98464.791209] [<c014c87b>] warn_slowpath_fmt+0x2b/0x30
[98464.791211] [<c0183f09>] suspend_test_finish+0x89/0x90
[98464.791215] [<c0183ce1>] suspend_devices_and_enter+0xa1/0xd0
[98464.791218] [<c058b313>] ? printk+0x1d/0x22
[98464.791221] [<c0183dcd>] enter_state+0xbd/0xf0
[98464.791224] [<c0183485>] state_store+0x75/0xc0
[98464.791226] [<c0183410>] ? state_store+0x0/0xc0
[98464.791230] [<c034d2b0>] kobj_attr_store+0x20/0x30
[98464.791233] [<c025ebe5>] sysfs_write_file+0x95/0x100
[98464.791236] [<c0208b42>] vfs_write+0xa2/0x1a0
[98464.791239] [<c025eb50>] ? sysfs_write_file+0x0/0x100
[98464.791242] [<c058fef0>] ? do_page_fault+0x160/0x3a0
[98464.791245] [<c0209462>] sys_write+0x42/0x70
[98464.791248] [<c01033ec>] syscall_call+0x7/0xb
[98464.791251] [<c0590000>] ? do_page_fault+0x270/0x3a0
[98464.791252] ---[ end trace b1730eba2d30ec7c ]---

$ uname -a
Linux desktop 2.6.32-27-generic #49-Ubuntu SMP Wed Dec 1 23:52:12 UTC 2010 i686 GNU/Linux

How can one second a nomination for the Lucid fix?

Charlie Kravetz (charlie-tca) wrote :

As stated in the description above, please file a new bug for your issue. This original issue was fixed-released a year ago, and many things have changed since that time. You can file a new bug by opening a terminal and typing "ubuntu-bug linux" without the quotes. Thank you for helping improve Ubuntu.

I have no Idea why I am still getting emails on the matter. This was
fixed ages ago.
If someone could direct me to the method of unsubscription it would be
appreciated.
Cheers,
Stephen.
On 10/01/2011 8:46 AM, Charlie Kravetz wrote:
> As stated in the description above, please file a new bug for your
> issue. This original issue was fixed-released a year ago, and many
> things have changed since that time. You can file a new bug by opening a
> terminal and typing "ubuntu-bug linux" without the quotes. Thank you for
> helping improve Ubuntu.
>

Hello Stephen,
Do you try the link at the bottom of the mail of the mailing list:
“To unsubscribe from this bug, go to:
https://bugs.launchpad.net/oem-priority/+bug/464552/+subscribe
I just try it, it seems not to work, but I think it’s just an overload
of the server for now…
Cheers,
Martin.

Le jeudi 13 janvier 2011 à 13:11 +0000, Green72 a écrit :
> I have no Idea why I am still getting emails on the matter. This was
> fixed ages ago.
> If someone could direct me to the method of unsubscription it would be
> appreciated.
> Cheers,
> Stephen.

Download full text (4.2 KiB)

I'm a novice at ubuntu. When one clicks on a crash report in the top panel,
one is told that it would be helpful to file a report and when you click on
yes, the computer does everything. This may be why you are still getting
emails, but I am making a wild guess. Another problem has emerged on my
computer and this may be what was causing my problem. I am also receiving
emails. My last 2 lines in my emails have an unsubscribe link, don't yours?
 Or did it not work for you? Good luck.
Jim

-----Original Message-----
From: Green72 <email address hidden>
To: <email address hidden>
Date: Thu, 13 Jan 2011 13:11:01 -0000
Subject: Re: [Bug 464552] Re: suspend_test_finish warning triggers too
easily, increase timeout to match mainline times

I have no Idea why I am still getting emails on the matter. This was
fixed ages ago.
If someone could direct me to the method of unsubscription it would be
appreciated.
Cheers,
Stephen.
On 10/01/2011 8:46 AM, Charlie Kravetz wrote:
> As stated in the description above, please file a new bug for your
> issue. This original issue was fixed-released a year ago, and many
> things have changed since that time. You can file a new bug by opening a
> terminal and typing "ubuntu-bug linux" without the quotes. Thank you for
> helping improve Ubuntu.
>

--
You received this bug notification because you are a direct subscriber
of a duplicate bug (525589).
https://bugs.launchpad.net/bugs/464552

Title:
  suspend_test_finish warning triggers too easily, increase timeout to
  match mainline times

Status in OEM Priority Project:
  Fix Released
Status in “linux” package in Ubuntu:
  Fix Released
Status in “linux” source package in Karmic:
  Fix Released

Bug description:
  Many of these messages are basically cosmetic noise, the average time
  to resume is actually 8.2s when older hardware is taken into account.
  SATA reconnect alone is allowed to take up to 5s therefore a 5s
  timeout is wholy too low for this message. Upstream has upped this
  limit to 10s. Using this instance to track the integration of this
  upstream change into the lucid and karmic kernels.

  If your resume is taking a very long time then please file a new bug.

  === ORIGINAL DESCRIPTION ===

  Received message about kernel crash after logging in.

  ProblemType: KernelOops
  Annotation: Your system might become unstable now and might need to be
restarted.
  Architecture: i386
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: yossi 2394 F.... pulseaudio
  CRDA: Error: [Errno 2] No such file or directory
  Card0.Amixer.info:
   Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
     Mixer name : 'Analog Devices AD1981B'
     Components : 'AC97a:41445374'
     Controls : 28
     Simple ctrls : 20
  Date: Thu Oct 29 23:34:16 2009
  DistroRelease: Ubuntu 9.10
  Failure: oops
  HibernationDevice: RESUME=UUID=3210adf9-ff09-4dbb-9d3b-dc431a419062
  MachineType: TOSHIBA PORTEGE M200
  NonfreeKernelModules: nvidia
  Package: linux-image-2.6.31-14-generic 2.6.31-14.48
  PccardctlIdent:
   Socket 0:
     no product info available
  PccardctlStatus:
   Socket 0:
     no card
  ProcCm...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers